---
title: CSSKeywordValue.CSSKeywordValue()
slug: Web/API/CSSKeywordValue/CSSKeywordValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSKeywordValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>CSSKeywordValue</code></strong> constructor creates a new {{domxref("CSSKeywordValue")}} object which represents CSS keywords and other identifiers.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>cssKeywordValue</var> = new CSSKeywordValue(<var>val</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>value</dt>
 <dd>Sets or returns the value of the new <code>CSSKeywordValue</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following example resets the CSS {{cssxref('display')}} property to its defaults, setting the inline <code><a href="/en-US/docs/Web/HTML/Global_attributes/style">style</a></code> attribute to <code>style="display: initial"</code> if viewed in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Select_an_element">developer tools inspector</a>.</p>

<pre class="brush: css hidden">#myElement {
  display: flex;
}</pre>

<pre class="brush: html hidden">&lt;div id="myElement"&gt;Check the developer tools to see the log in the console and to inspect the style attribute on this div.&lt;/div&gt;</pre>

<pre class="brush: js">let keyword = new CSSKeywordValue('initial');
let myElement = document.getElementById('myElement').attributeStyleMap;
    myElement.set('display', keyword);

console.log( myElement.get('display').value);  // 'initial'
console.dir( keyword );
</pre>

<p>{{EmbedLiveSample("Examples", 120, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-csskeywordvalue-csskeywordvalue','CSSKeywordValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSKeywordValue.CSSKeywordValue")}}</p>
